/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: OSGiDeployable.java 3979 2008-09-28 11:02:27Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.deploy.api.deployable;

/**
 * Represents an OSGi deployable.
 * @author Florent Benoit
 */
public interface OSGiDeployable extends IDeployable<OSGiDeployable> {
    /**
     * Set if the bundle must be started or not.
     * @param start The value to set
     */
    void setStart(final Boolean start);

    /**
     * Return true if the bundle must be started, false otherwise.
     * @return True if the bundle must be started, false otherwise
     */
    Boolean isStart();
}
